# Documentation Specfile
%define HTMLVIEW %(eval 'if [ "%{?dist}" = ".el5" ]; then echo "1"; else echo "0"; fi')

%define viewer xdg-open

%if %{HTMLVIEW}
%define viewer htmlview
%define vendor redhat-
%define vendoropt --vendor="redhat"
%endif

Name:         fedora-accessibility-guide-en-US
Version:      12.0
Release:      1%{?dist}


Summary:       Using Fedora with a visual, hearing, or mobility impairment

Group:         Documentation
License:       CC-BY-SA
URL:           http://docs.fedoraproject.org
Source:        %{name}-%{version}-1.tgz
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: publican
BuildRequires: desktop-file-utils


BuildRequires:    publican-fedora

%if %{HTMLVIEW}
Requires:    htmlview
%else
Requires:    xdg-utils
%endif

%description


This document describes some of the hardware devices, applications
and utilities available to assist people with disabilities to use a
computer with the Fedora operating system.


%prep
%setup -q

%build
publican build --formats="html-desktop" --langs=en-US

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications

cat > %{name}.desktop <<'EOF'
[Desktop Entry]
Name=fedora 12: Accessibility Guide
Comment=Using Fedora with a visual, hearing, or mobility impairment
Exec=%{viewer} %{_docdir}/%{name}-%{version}/index.html
Icon=%{_docdir}/%{name}-%{version}/images/icon.svg
Categories=Documentation;X-Red-Hat-Base;
Type=Application
Encoding=UTF-8
Terminal=false
EOF

%if %{HTMLVIEW}
desktop-file-install  %{?vendoropt} --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%else
desktop-file-install --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{name}.desktop
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc tmp/en-US/html-desktop/*
%if %{HTMLVIEW}
%{_datadir}/applications/%{?vendor}%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif

%changelog
* Sat Nov 28 2009 Eric Christensen <sparks@fedoraproject.org> 12.0-1
- Commented out Emacspeak sections that still need work. 
- Changed to be the official version for Fedora 12. 

* Sat Nov 28 2009 Susan Lauber <laubersm@fedoraproject.org> 0.9-2
- Made some minor readability, grammar, and style edits. 
- Added a number of markup additions for consistancy. 
- Added information on enabling Orca in GNOME to the Screen_Readers section. 
- Added information on GNOME Magnifier to the Screen_Magnifiers section. 
- Moved On Screen Keyboards to their own section to clean up Other Tools. 
- Added information on gok (GNOME On-Screen Keyboard). 

* Sun Nov 22 2009 Eric Christensen <sparks@fedoraproject.org> 0.9-1
- Added Gnome features Dasher and Caribou. 
- Commented out dated information on how Red Hat and Fedora had or had not tested some of the FOSS solutions. 

* Mon Nov  9 2009 Eric Christensen <sparks@fedoraproject.org> 0.8-1
- Modified the "screen readers" section. 
- Removed link to KMouseTools and it was broken. 

* Sun Nov  8 2009 Susan Lauber <laubersm@fedoraproject.org> 0.7-1
- Various style edits (tense, spelling, etc.) 
- Added markup for menuitems 

* Sun Nov  8 2009 Eric Christensen <sparks@fedoraproject.org> 0.6-1
- Created "Mouse Tools" section, moved KMouseTools to that section, and added Mousetweaks. 
- Added GNOME information in the "Desktops" section. 
- Added comments to Tools.xml for further editing. 

* Sat Nov  7 2009 Eric Christensen <sparks@fedoraproject.org> 0.5-1
- Created "Other Tools" section and added BRLTTY, KMouth, and KMouseTool to that section. 
- Created "Screen Magnifiers" section and added KMagnifier. 
- Created "Desktops" section and added KDE. This section will include specific Desktop accessibility controls. 

* Wed Nov  4 2009 Eric Christensen <sparks@fedoraproject.org> 0.4-1
- Combined Speakup and Emacspeak into the Screen Readers section. 

* Thu Aug 20 2009 Rüdiger Landmann <rlandmann@redhat.com> 0.3-1
- Extra XML markup. 

* Thu Aug 20 2009 Eric Christensen <sparks@fedoraproject.org> 0.2-1
- Updated links and added information on Emacspeak. 

* Thu Aug  6 2009 Eric Christensen <sparks@fedoraproject.org> 0.1-1
- Publicanized all information in the Accessibility Guide 



